import { Component, h, State } from '@stencil/core';
import { Consultation, formCommunication, header, PerformanceAndBenefits, ProductInformation, ProductPresentation, Tariffs, TransitionCreateBot } from "../../utils/mock";
export class MyComponent {
    render() {
        return (h("div", null,
            this.popupComplited ?
                h("cnt-flexy-view-abdullakh-bot-form-communication-1_0_0", { payload: formCommunication, onCloseForm: () => {
                        this.closeForm();
                    } }) :
                '',
            h("cnt-flexy-view-bot-abdullakh-header-1_0_0", { categories: header }),
            h("cnt-flexy-view-bot-abdullakh-product-presentation-1_0_0", { payload: ProductPresentation, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-product-information-1_0_0", { payload: ProductInformation, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-transition-create-bot-1_0_0", { payload: TransitionCreateBot, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-performance-and-benefits-1_0_0", { payload: PerformanceAndBenefits, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-consultation-1_0_0", { payload: Consultation, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-tariffs-1_0_0", { payload: Tariffs, onOpenForm: () => this.openForm() })));
    }
    /**
     * Вызов модального окна формы
     */
    openForm() {
        this.popupComplited = true;
    }
    /**
     * Закрытие модального окна формы
     */
    closeForm() {
        this.popupComplited = false;
    }
    static get is() { return "my-component"; }
    static get originalStyleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get states() { return {
        "popupComplited": {}
    }; }
}
